Skip to main content
GET
/
v1
/
analytics
/
revenue
Get revenue analytics
curl --request GET \
  --url https://api.plexospay.com/v1/analytics/revenue \
  --header 'Authorization: Bearer <token>'
{
  "totalRevenue": "<string>",
  "totalFees": "<string>",
  "totalNetRevenue": "<string>",
  "totalTransactions": 123,
  "currency": "<string>",
  "period": {
    "start": "<string>",
    "end": "<string>"
  },
  "transactionsPerDay": {}
}
Returns revenue totals and daily breakdowns for a date range. Use this for dashboards and reporting. The transactionsPerDay field contains a map of date strings to daily revenue data:
{
  "transactionsPerDay": {
    "2025-01-15": {
      "revenue": "50000",
      "fees": "1500",
      "count": 5
    }
  }
}

Authorizations

Authorization
string
header
required

API key starting with sk_live_ or sk_test_

Query Parameters

startDate
string<date>
required
endDate
string<date>
required
currency
enum<string>

ISO currency code

Available options:
CVE,
AOA

Response

200 - application/json

Revenue analytics

totalRevenue
string
totalFees
string
totalNetRevenue
string
totalTransactions
integer
currency
string | null
period
object
transactionsPerDay
object